# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSaveInvalidComponent

Function

Creates a new invalid-component Array containing the information stored in an invalid-component handle, and stores it in a given field.

Syntax
`
#include <dx/dx.h>
`

Error DXSaveInvalidComponent(Field field, InvalidComponentHandle handle)

Functional Details

The new Array is stored in `field` under the component name given when `handle` was created. The invalid data may be referential or dependent, and the invalid-data component will receive an appropriate "dep" or "ref" attribute.

This routine deletes existing invalid components.

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

`DXCreateInvalidComponentHandle, DXFreeInvalidComponentHandle`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]